## trident blank

=== Makefile ===
obj-m = trident_blank.o

ifeq ($(KERNELRELEASE),)
	VER    = $(shell uname -r)
	KDIR    := /lib/modules/$(VER)/build
	PWD := $(shell pwd)

default:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

endif

clean:
	rm -rf *.o *.ko *.mod.c .tmp_versions .*.cmd

## trident 1.3+dfsg

=== debian/changelog ===
trident (1.3+dfsg-5) unstable; urgency=low

  * Update to build with libswt-gtk-3-java.
  * Update d/copyright to fix lintian error.

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Thu, 30 Jun 2011 22:27:27 +0100

trident (1.3+dfsg-4) unstable; urgency=low

  * Update to build with libswt-gtk-3.6-java instead of 
    libswt-gtk-3.5-java.
  * Updated standards version to 3.9.2 (no changes required).
  * Updated package description.

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Wed, 18 May 2011 20:09:32 +0100

trident (1.3+dfsg-3) unstable; urgency=low

  * Update the no-android patch to fix an Exception (Closes: #619986)

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Tue, 29 Mar 2011 18:09:13 +0100

trident (1.3+dfsg-2) unstable; urgency=low

  * Update watch file to fix errors.

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Thu, 17 Mar 2011 17:49:41 +0000

trident (1.3+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #610459)

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Tue, 18 Jan 2011 19:10:30 +0000

=== debian/control ===
Source: trident
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Andrew Ross <ubuntu@rossfamily.co.uk>
Build-Depends: debhelper (>= 7.0.50~), javahelper (>=0.32~), cdbs, ant
Build-Depends-Indep: default-jdk, default-jdk-doc, libswt-gtk-3-java
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/trident
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/trident/
Homepage: http://kenai.com/projects/trident/pages/Home

Package: libtrident-java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: Animation library for Java applications
 The main goal of Trident project is to provide a general 
 purpose animation library for Java applications. Animations 
 are a natural fit for modern client applications, and 
 Trident has special built-in support for Java based UI 
 toolkits such as Swing and SWT. 
 The classes for the Android are not included.

Package: libtrident-java-doc
Section: doc
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: Animation library for Java applications (documentation)
 The main goal of Trident project  is to provide a general 
 purpose animation library for Java applications. Animations 
 are a natural fit for modern client applications, and 
 Trident has special built-in support for Java based UI 
 toolkits such as Swing and SWT.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Get definition of $(DEB_SRCDIR)
include /usr/share/cdbs/1/rules/buildvars.mk

JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/swt.jar
export JH_JAR_EXTRA=META-INF/trident-plugin.properties


%:
	dh $@ --with javahelper


# Don't use the packages own build system.
override_dh_auto_build::

# Link META-INF. Changing JH_JAR_EXTRA above instead results in the 
# files being in the wrong place in the resulting jar.
override_jh_build: 
	ln -s $(DEB_SRCDIR)/src/META-INF $(DEB_SRCDIR)/META-INF
	jh_build


# Clean up our symlink
override_dh_clean:
	rm -f $(DEB_SRCDIR)/META-INF
	dh_clean


get-orig-source:
	uscan --download-version $(subst +dfsg,,$(DEB_UPSTREAM_VERSION)) --force-download --rename

=== debian/watch ===
version=3
opts=downloadurlmangle=s/directory(.*)$/download$1%252Ftrident-all.zip/,filenamemangle=s/.*version%2520(.*)%2520-%2520stable.*/trident-$1.zip/,dversionmangle=s/\+dfsg// \
  http://kenai.com/projects/trident/downloads \
  /projects/trident/downloads/directory/version%20(.*)%20-%20stable debian debian/orig-tar.sh
